package ejemplo.modelo2NN;
// Generated 7 ene 2023 12:20:46 by Hibernate Tools 4.3.6.Final

import jakarta.persistence.Column;
import jakarta.persistence.Embeddable;

/**
 * PersonajeTieneArmasId generated by hbm2java
 */
@Embeddable
public class PersonajeTieneArmaId implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private int idPersonaje;
	private int idArma;

	public PersonajeTieneArmaId() {
	}

	public PersonajeTieneArmaId(int idPersonaje, int idArma) {
		this.idPersonaje = idPersonaje;
		this.idArma = idArma;
	}

	@Column(name = "id_personaje", nullable = false)
	public int getIdPersonaje() {
		return this.idPersonaje;
	}

	public void setIdPersonaje(int idPersonaje) {
		this.idPersonaje = idPersonaje;
	}

	@Column(name = "id_arma", nullable = false)
	public int getIdArma() {
		return this.idArma;
	}

	public void setIdArma(int idArma) {
		this.idArma = idArma;
	}


	public boolean equals(Object other) {
		if ((this == other))
			return true;
		if ((other == null))
			return false;
		if (!(other instanceof PersonajeTieneArmaId))
			return false;
		PersonajeTieneArmaId castOther = (PersonajeTieneArmaId) other;

		return (this.getIdPersonaje() == castOther.getIdPersonaje()) && (this.getIdArma() == castOther.getIdArma());
	}

	public int hashCode() {
		int result = 17;

		result = 37 * result + this.getIdPersonaje();
		result = 37 * result + this.getIdArma();
		return result;
	}

}
